%define name gscmxx
%define version 0.4.1
%define release  %mkrel 4

Name:		%{name}
Summary:	Graphical frontend for Siemens mobile phones
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://gscmxx.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	ImageMagick perl-GTK perl-Image-Size perl-devel scmxx
Requires: 	scmxx ImageMagick perl-GTK perl-Image-Size
Provides:	perl(SCMxx::Config)

%description
gscmxx is graphical frontend for Siemens mobile phones. It allows you to edit
your contacts book, send/read SMS's from/in computer and more other features.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{_prefix}"

# Menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Network; 
Name=Gscmxx 
Comment=Frontend for your Siemens mobile phone 
Exec=%{_bindir}/%{name} 
Icon=%{name}
EOF

install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_liconsdir}
convert -resize 16x16 pixmaps/phonebook.xpm %{buildroot}/%{_miconsdir}/%{name}.png
convert -resize 32x32 pixmaps/phonebook.xpm %{buildroot}/%{_iconsdir}/%{name}.png
convert -resize 48x48 pixmaps/phonebook.xpm %{buildroot}/%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc Changes TODO README doc/GPL.txt
%{perl_vendorlib}/SCMxx.pm
%{perl_vendorlib}/SCMxx
%{_mandir}/*/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-4mdv2008.1
+ Revision: 131680
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import gscmxx


* Thu Apr 21 2005 Lenny Cartier <lenny@mandriva.com> 0.4.1-4mdk
- fix provides

* Mon Jul 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- rebuild

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-2mdk
- Fix menu

* Wed Mar 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.4.0-2mdk
- rebuild

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre6.2mdk
- buildrequires against scmxx

* Sun Nov 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre6.1mdk
- from Michael Reinsch <mr@uue.org> :
	- first mandrake spec file
